Skip to content
Docs

Update an access group project

PATCHhttps://api.vercel.com/v1/access-groups/{accessGroupIdOrName}/projects/{projectId}
Allows update of an access group project
https://api.vercel.com/v1/access-groups/{accessGroupIdOrName}/projects/{projectId}
const response = await fetch('https://api.vercel.com/v1/access-groups/accessGroupIdOrName/projects/projectId?teamId=string&slug=string', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"role": "ADMIN"
}),
});
const data = await response.json();
console.log(data);
Response
{
"teamId": "example_id",
"accessGroupId": "example_id",
"projectId": "example_id",
"role": "ADMIN",
"createdAt": "string",
"updatedAt": "string"
}
AuthorizationbearerToken

Default authentication mechanism

accessGroupIdOrNamestringRequired
projectIdstringRequired
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
rolestringRequired
The project role that will be added to this Access Group.
200Success
teamIdstringRequired
accessGroupIdstringRequired
projectIdstringRequired
rolestringRequired
createdAtstringRequired
updatedAtstringRequired
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
410Error